Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.
using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/mcp/app/{appKey}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
Your Composio project API key. Create or copy it from the Composio dashboard.
Path Parameters
appKey
string
required
The key of the app to find MCP servers for
Toolkit or application slug identifier to filter MCP servers by
Example:
"github"
Query Parameters
name
string
Filter MCP servers by name (case-insensitive partial match)
Name substring to filter servers by
Example:
"github"
toolkits
string
Comma-separated list of toolkit slugs to filter servers by
auth_config_ids
string
Comma-separated list of auth config IDs to filter servers by
order_by
enum<string>
default:updated_at
Field to order results by
Field to use for ordering the results
Available options:
created_at,
updated_at
Example:
"updated_at"
order_direction
enum<string>
default:desc
Direction of ordering
Sort direction (ascending or descending)
Available options:
asc,
desc
Example:
"desc"
page_no
integer
default:1
Page number for pagination (1-based)
Page number to retrieve
Required range: x > 0
Example:
1
limit
integer
default:10
Number of items per page (default: 10)
Number of servers to return per page
Required range: x > 0
Example:
10
Response
Successfully retrieved MCP servers for the specified application. Returns a paginated list of server configurations including connection details and command instructions.
using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/mcp/app/{appKey}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{"docsConfig":{"theme":"sequoia","$schema":"https://mintlify.com/docs.json","name":"Composio Docs","description":"Build AI agents with 1,700+ apps. Connect LLMs to external services like GitHub, Slack, Gmail, and more.","colors":{"primary":"#0007CD","light":"#5B8BF0","dark":"#5B8BF0"},"logo":{"light":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=c959b1b97e22caccd03fe5d3d71ab52b","dark":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo%20Dark.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1b31206b6350aa17315c7ea06c829de5","href":"/docs"},"favicon":{"light":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/favicon.ico?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1e12b5b301d9c338a1c87e58589a4e99","dark":"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/favicon.ico?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=1e12b5b301d9c338a1c87e58589a4e99"},"api":{"playground":{"display":"interactive"},"examples":{"languages":["python","typescript","bash","go","java","csharp","rust"]}},"appearance":{"default":"dark"},"navbar":{"links":[{"icon":{"style":"brands","name":"github","library":"fontawesome"},"href":"https://github.com/composiohq/composio","type":"github"},{"icon":{"style":"brands","name":"x-twitter","library":"fontawesome"},"href":"https://x.com/composiodevs","label":""}],"primary":{"type":"button","label":"Playground","href":"https://dashboard.composio.dev/~/project/playground?utm_source=docs\u0026utm_medium=navbar\u0026utm_campaign=playground"}},"seo":{"metatags":{"og:site_name":"Composio Docs","robots":"noindex"},"indexing":"all"},"fonts":{"family":"ABC Diatype","weight":400,"source":"fonts/ABCDiatype-Regular.woff2","format":"woff2"},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity","mcp","download-spec"],"display":"header"},"interaction":{"drilldown":true},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"composio-preview","hasAudioNarration":false,"actualSubdomain":"composio-preview","customDomains":[],"gitSource":{"type":"github","owner":"mintlify-onboarding","repo":"composio-preview","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee717af538f2c21575e5ef","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"Reference","count":403},{"language":"default","tag":"API Reference","count":180},{"language":"default","tag":"Docs","count":80},{"language":"default","tag":"Platform","count":77},{"language":"default","tag":"Toolkits","count":48},{"language":"default","tag":"MCP","count":44},{"language":"default","tag":"Connected Accounts","count":36},{"language":"default","tag":"Triggers","count":34},{"language":"default","tag":"Sessions (prev Tool Router)","count":33},{"language":"default","tag":"Sessions (Prev Tool Router)","count":33}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":":root{--composio-brand: #0007cd}.dark{--composio-brand: #5b8bf0}.hero-agent-demo{--hero-demo-brand: #0007cd;min-height:420px}.dark .hero-agent-demo{--hero-demo-brand: #5b8bf0}.hero-layout{grid-template-columns:minmax(0, 1fr)}@media (min-width: 1024px){.hero-layout{grid-template-columns:minmax(0, 1.05fr) minmax(0, 0.95fr)}}.hero-agent-window{position:absolute;inset-block:0;right:0;display:flex;width:100%;max-width:340px;flex-direction:column;overflow:hidden;border:1px solid rgb(0 7 205 / 22%);background:rgb(255 255 255 / 88%);box-shadow:0 1px 0 rgb(15 15 15 / 4%);backdrop-filter:blur(16px)}.dark .hero-agent-window{border-color:rgb(91 139 240 / 32%);background:rgb(15 23 42 / 92%)}.hero-agent-dot,.hero-agent-send,.hero-running-dot,.hero-running-ping{background:var(--hero-demo-brand)}.hero-agent-header{animation:hero-header-in 9.5s ease-in-out infinite}.hero-agent-message{animation:hero-message-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite;transform-origin:center}.hero-agent-thinking{animation:hero-thinking-cycle 9.5s ease-in-out infinite}.hero-agent-thinking span{width:6px;height:6px;animation:hero-pulse-dot 1.4s ease-in-out infinite;background:var(--hero-demo-brand)}.hero-agent-thinking span:nth-child(2){animation-delay:180ms}.hero-agent-thinking span:nth-child(3){animation-delay:360ms}.hero-tool-call{animation:hero-tool-call-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite,\n hero-shimmer-text 2s ease-in-out infinite}.hero-tool-shimmer{color:transparent;background-image:linear-gradient(\n 90deg,\n rgb(15 15 15 / 35%) 0%,\n rgb(15 15 15 / 70%) 40%,\n rgb(15 15 15) 50%,\n rgb(15 15 15 / 70%) 60%,\n rgb(15 15 15 / 35%) 100%\n );background-size:200% 100%;background-clip:text}.dark .hero-tool-shimmer{background-image:linear-gradient(\n 90deg,\n rgb(245 245 247 / 35%) 0%,\n rgb(245 245 247 / 70%) 40%,\n rgb(245 245 247) 50%,\n rgb(245 245 247 / 70%) 60%,\n rgb(245 245 247 / 35%) 100%\n )}.hero-agent-connector{position:absolute;z-index:5;top:32%;right:340px;width:60px;height:10%;overflow:visible;color:var(--hero-demo-brand);pointer-events:none}.hero-agent-connector-glow,.hero-agent-connector-line{stroke-dasharray:1;stroke-dashoffset:1;animation:hero-connector-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite}.hero-agent-connector-glow{opacity:0;filter:drop-shadow(0 0 6px var(--hero-demo-brand))}.hero-agent-connector-line{opacity:0}.hero-tool-panel{position:absolute;bottom:24px;left:175px;z-index:10;display:flex;width:320px;max-height:60%;flex-direction:column;overflow:hidden;border:1px solid rgb(226 232 240);background:rgb(255 255 255 / 96%);font-family:ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, monospace;box-shadow:0 24px 48px -18px rgb(15 15 15 / 32%);transform:translateX(-46%);animation:hero-panel-cycle 9.5s cubic-bezier(0.4, 0, 0.2, 1) infinite}.dark .hero-tool-panel{border-color:rgb(51 65 85);background:rgb(15 23 42 / 96%);box-shadow:0 24px 48px -18px rgb(0 0 0 / 62%)}.hero-tool-running{color:var(--hero-demo-brand)}.hero-running-ping{animation:hero-running-ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;opacity:0.6}.hero-tool-results{flex:1;overflow:hidden}.hero-tool-result-row{display:flex;align-items:center;gap:8px;border:1px solid rgb(226 232 240);background:white;padding:6px 8px}.dark .hero-tool-result-row{border-color:rgb(51 65 85);background:rgb(2 6 23)}@keyframes hero-header-in{0%,3%{opacity:0;transform:translateY(6px)}7%,92%{opacity:1;transform:translateY(0)}100%{opacity:0;transform:translateY(-6px)}}@keyframes hero-message-cycle{0%,5%{opacity:0;transform:translateY(8px) scale(0.97)}10%,18%{opacity:1;transform:translateY(0) scale(1)}24%,92%{opacity:0.45;transform:translateY(0) scale(1)}100%{opacity:0;transform:scale(0.97)}}@keyframes hero-thinking-cycle{0%,11%,24%,100%{opacity:0;transform:translateY(6px)}14%,21%{opacity:1;transform:translateY(0)}}@keyframes hero-tool-call-cycle{0%,20%{opacity:0;transform:translateY(8px) scale(0.97)}27%,92%{opacity:1;transform:translateY(0) scale(1)}100%{opacity:0;transform:scale(0.97)}}@keyframes hero-panel-cycle{0%,22%{opacity:0;transform:translateX(-46%) translateX(-8px)}29%,92%{opacity:1;transform:translateX(-46%) translateX(0)}100%{opacity:0;transform:translateX(-46%) translateX(-8px)}}@keyframes hero-connector-cycle{0%,22%{opacity:0;stroke-dashoffset:1}29%,36%{opacity:1;stroke-dashoffset:0}52%,100%{opacity:0;stroke-dashoffset:0}}@keyframes hero-shimmer-text{from{background-position:100% 0}to{background-position:-100% 0}}@keyframes hero-pulse-dot{0%,100%{opacity:1}50%{opacity:0.3}}@keyframes hero-running-ping{75%,100%{opacity:0;transform:scale(2)}}@media (prefers-reduced-motion: reduce){.hero-agent-header,.hero-agent-message,.hero-agent-thinking,.hero-tool-call,.hero-agent-connector-glow,.hero-agent-connector-line,.hero-tool-panel,.hero-running-ping{animation:none!important}.hero-agent-header,.hero-agent-message,.hero-tool-call,.hero-tool-panel{opacity:1}.hero-agent-thinking,.hero-agent-connector-glow,.hero-agent-connector-line{opacity:0}}"}],"page":{"pagePath":"reference/v3/api-reference/mcp/getmcpappbyappkey","slug":"/reference/v3/api-reference/mcp/getmcpappbyappkey","pageMetadata":{"title":"List MCP servers for a specific app","description":"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.","deprecated":true,"version":null,"sidebarTitle":"Getmcpappbyappkey","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/app/{appKey}","href":"/reference/v3/api-reference/mcp/getmcpappbyappkey","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List MCP servers for a specific app","description":"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.","deprecated":true,"version":null,"sidebarTitle":"Getmcpappbyappkey","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/app/{appKey}","href":"/reference/v3/api-reference/mcp/getmcpappbyappkey","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/composio-preview/3e74df7724d07010/pixelated-circle-worklet.js"],"openApiReferenceData":{"operation":{"summary":"List MCP servers for a specific app","description":"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.","deprecated":true,"tags":["MCP"],"operationId":"getMcpAppByAppKey","security":["97d80497-1ac8-42b1-b409-af651ef02790"],"parameters":["cfe31076-f7fa-49f6-96cd-1baeaa3dcd95","5ee845ff-f40a-42d0-ada9-be559660adca","633f8969-765d-4cf8-a93b-b8fd28126012","43444d68-7f4f-4165-a1f6-45b739ecb8a7","960d9a74-7760-45f5-97a6-5ec5621682ae","4610b42b-5a8a-49a3-a60e-e0d64ad4d5ee","f985ba87-2538-431d-95b1-8e55fb1ba19e","87ea5391-0b50-441c-9298-103f1df38ddd"],"responses":{"200":"92dd22e6-3052-4e46-bff6-3d1903b2d188","400":"ea2d6ae5-f77d-4fc6-95b7-c47a086a6a50","401":"489c9f2e-a1cc-408d-9a16-68bc33694b9e","403":"e9629159-b5e9-4ccf-8d82-602dbe67959e","404":"51e4a29d-5fc2-4427-90fd-9ba6247bb7ec","500":"6f988eac-73b1-418f-a2c8-7c37b8036bb3"},"x-api-version":"3.0","x-mint":{"metadata":{"title":"List MCP servers for a specific app","description":"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.","deprecated":true},"content":"","href":"/reference/v3/api-reference/mcp/getMcpAppByAppKey"},"method":"get","type":"path","servers":["470eb457-2488-46f3-b1ff-318ef3afa78a"],"path":"/api/v3/mcp/app/{appKey}","baseUrlOptions":["https://backend.composio.dev"],"title":"List MCP servers for a specific app","codeSamples":[],"requestExampleLanguages":["python","typescript","bash","go","java","csharp","rust"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"cfe31076-f7fa-49f6-96cd-1baeaa3dcd95":{"schema":{"type":"string","description":"The key of the app to find MCP servers for\nToolkit or application slug identifier to filter MCP servers by","example":"github","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The key of the app to find MCP servers for","name":"appKey","in":"path"},"5ee845ff-f40a-42d0-ada9-be559660adca":{"schema":{"type":"string","description":"Filter MCP servers by name (case-insensitive partial match)\nName substring to filter servers by","example":"github","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false,"description":"Filter MCP servers by name (case-insensitive partial match)","name":"name","in":"query"},"633f8969-765d-4cf8-a93b-b8fd28126012":{"schema":{"type":"string","isRequired":false,"description":"Comma-separated list of toolkit slugs to filter servers by","uniqueKey":"","typeLabel":"string"},"required":false,"description":"Comma-separated list of toolkit slugs to filter servers by","in":"query","name":"toolkits"},"43444d68-7f4f-4165-a1f6-45b739ecb8a7":{"schema":{"type":"string","isRequired":false,"description":"Comma-separated list of auth config IDs to filter servers by","uniqueKey":"","typeLabel":"string"},"required":false,"description":"Comma-separated list of auth config IDs to filter servers by","in":"query","name":"auth_config_ids"},"960d9a74-7760-45f5-97a6-5ec5621682ae":{"schema":{"type":"string","enum":["created_at","updated_at"],"default":"updated_at","description":"Field to order results by\nField to use for ordering the results","example":"updated_at","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false,"description":"Field to order results by","name":"order_by","in":"query"},"4610b42b-5a8a-49a3-a60e-e0d64ad4d5ee":{"schema":{"type":"string","enum":["asc","desc"],"default":"desc","description":"Direction of ordering\nSort direction (ascending or descending)","example":"desc","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false,"description":"Direction of ordering","name":"order_direction","in":"query"},"f985ba87-2538-431d-95b1-8e55fb1ba19e":{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":1,"description":"Page number for pagination (1-based)\nPage number to retrieve","example":1,"isRequired":false,"uniqueKey":"","typeLabel":"integer"},"required":false,"description":"Page number for pagination (1-based)","name":"page_no","in":"query"},"87ea5391-0b50-441c-9298-103f1df38ddd":{"schema":{"type":"integer","minimum":0,"exclusiveMinimum":true,"default":10,"description":"Number of items per page (default: 10)\nNumber of servers to return per page","example":10,"isRequired":false,"uniqueKey":"","typeLabel":"integer"},"required":false,"description":"Number of items per page (default: 10)","name":"limit","in":"query"}},"responses":{"92dd22e6-3052-4e46-bff6-3d1903b2d188":{"description":"Successfully retrieved MCP servers for the specified application. Returns a paginated list of server configurations including connection details and command instructions.","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"UUID of the MCP server instance","example":"550e8400-e29b-41d4-a716-446655440000","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"User-defined descriptive name for this MCP server","example":"GitHub Integration Server","isRequired":true,"uniqueKey":"\\items.items.[INDEX].name","typeLabel":"string"},"auth_config_ids":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].auth_config_ids.items.[INDEX]","typeLabel":"string"},"description":"ID references to the auth configurations used by this server","example":["ac_1a2b3c4d5e6f","ac_7g8h9i0j1k2l"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].auth_config_ids","typeLabel":"string[]"},"allowed_tools":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].allowed_tools.items.[INDEX]","typeLabel":"string"},"description":"Array of tool slugs that this MCP server is allowed to use","example":["GITHUB_CREATE_AN_ISSUE","GITHUB_GET_A_REPOSITORY","GITHUB_LIST_PULL_REQUESTS"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].allowed_tools","typeLabel":"string[]"},"mcp_url":{"type":"string","description":"[DEPRECATED] Please use the URL with user_id or connected_account_id query param","deprecated":true,"example":"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john","isRequired":true,"uniqueKey":"\\items.items.[INDEX].mcp_url","typeLabel":"string"},"toolkits":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].toolkits.items.[INDEX]","typeLabel":"string"},"description":"Array of toolkit slugs that this MCP server is allowed to use","example":["github","jira","slack"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].toolkits","typeLabel":"string[]"},"toolkit_icons":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"\\items.items.[INDEX].toolkit_icons.additionalProperties","typeLabel":"string"},"description":"Object mapping each toolkit slug to its icon/logo URL for display purposes","example":{"github":"https://assets.composio.dev/logos/github.png","jira":"https://assets.composio.dev/logos/jira.png","slack":"https://assets.composio.dev/logos/slack.png"},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].toolkit_icons","typeLabel":"object"},"commands":{"type":"object","properties":{"cursor":{"type":"string","description":"Command line instruction for Cursor client setup","deprecated":true,"example":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor","isRequired":true,"uniqueKey":"\\items.items.[INDEX].commands.cursor","typeLabel":"string"},"claude":{"type":"string","description":"Command line instruction for Claude client setup","deprecated":true,"example":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude","isRequired":true,"uniqueKey":"\\items.items.[INDEX].commands.claude","typeLabel":"string"},"windsurf":{"type":"string","description":"Command line instruction for Windsurf client setup","deprecated":true,"example":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf","isRequired":true,"uniqueKey":"\\items.items.[INDEX].commands.windsurf","typeLabel":"string"}},"required":["cursor","claude","windsurf"],"description":"Set of command line instructions for connecting various clients to this MCP server","deprecated":true,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].commands","typeLabel":"object"},"updated_at":{"type":"string","description":"Date and time when this server configuration was last modified","example":"2023-06-15T14:30:00.000Z","isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string"},"created_at":{"type":"string","description":"Date and time when this server was initially created","example":"2023-06-10T09:15:00.000Z","isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string"},"server_instance_count":{"type":"number","description":"Total count of active user instances connected to this server","example":5,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].server_instance_count","typeLabel":"number"},"managed_auth_via_composio":{"type":"boolean","description":"Whether the MCP server is managed by Composio","example":true,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].managed_auth_via_composio","typeLabel":"boolean"}},"required":["id","name","auth_config_ids","allowed_tools","mcp_url","toolkits","toolkit_icons","commands","updated_at","created_at","server_instance_count","managed_auth_via_composio"],"description":"MCP server configuration and connection details","uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"description":"Array of MCP server configurations","example":[{"id":"550e8400-e29b-41d4-a716-446655440000","name":"GitHub Integration Server","auth_config_ids":["ac_1a2b3c4d5e6f","ac_7g8h9i0j1k2l"],"allowed_tools":["GITHUB_CREATE_AN_ISSUE","GITHUB_GET_A_REPOSITORY"],"mcp_url":"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john","commands":{"cursor":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor","claude":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude","windsurf":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"},"toolkits":["github","jira","slack"],"toolkit_icons":{"github":"https://assets.composio.dev/logos/github.png","jira":"https://assets.composio.dev/logos/jira.png","slack":"https://assets.composio.dev/logos/slack.png"},"updated_at":"2023-06-15T14:30:00.000Z","created_at":"2023-06-10T09:15:00.000Z","server_instance_count":5,"managed_auth_via_composio":true}],"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"},"total_pages":{"type":"number","description":"Total number of pages in the paginated response","example":5,"isRequired":true,"uniqueKey":"total_pages","typeLabel":"number"},"current_page":{"type":"number","description":"Current page number being returned","example":1,"isRequired":true,"uniqueKey":"current_page","typeLabel":"number"}},"required":["items","total_pages","current_page"],"description":"Paginated response containing MCP servers","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"550e8400-e29b-41d4-a716-446655440000","name":"GitHub Integration Server","auth_config_ids":["ac_1a2b3c4d5e6f","ac_7g8h9i0j1k2l"],"allowed_tools":["GITHUB_CREATE_AN_ISSUE","GITHUB_GET_A_REPOSITORY"],"mcp_url":"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john","commands":{"cursor":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor","claude":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude","windsurf":"npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"},"toolkits":["github","jira","slack"],"toolkit_icons":{"github":"https://assets.composio.dev/logos/github.png","jira":"https://assets.composio.dev/logos/jira.png","slack":"https://assets.composio.dev/logos/slack.png"},"updated_at":"2023-06-15T14:30:00.000Z","created_at":"2023-06-10T09:15:00.000Z","server_instance_count":5,"managed_auth_via_composio":true}],"total_pages":5,"current_page":1}}},"exampleType":"generated"}},"exampleType":"generated"},"ea2d6ae5-f77d-4fc6-95b7-c47a086a6a50":{"description":"Bad request. The query parameters may be invalid or in an incorrect format.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"489c9f2e-a1cc-408d-9a16-68bc33694b9e":{"description":"Unauthorized. Authentication is required or the provided credentials are invalid.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"e9629159-b5e9-4ccf-8d82-602dbe67959e":{"description":"Forbidden. The authenticated user does not have permission to view MCP servers for this application.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"51e4a29d-5fc2-4427-90fd-9ba6247bb7ec":{"description":"Application not found. No application with the specified key exists.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"6f988eac-73b1-418f-a2c8-7c37b8036bb3":{"description":"Internal server error. An unexpected error occurred while processing the request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"number","isRequired":true,"uniqueKey":"error.code","typeLabel":"number"},"slug":{"type":"string","isRequired":true,"uniqueKey":"error.slug","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"request_id":{"type":"string","uniqueKey":"error.request_id","typeLabel":"string"},"suggested_fix":{"type":"string","uniqueKey":"error.suggested_fix","typeLabel":"string"},"errors":{"type":"array","items":{"type":"string","uniqueKey":"error.errors.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.errors","typeLabel":"string[]"}},"required":["message","code","slug","status"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":123,"slug":"\u003cstring>","status":123,"request_id":"\u003cstring>","suggested_fix":"\u003cstring>","errors":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"97d80497-1ac8-42b1-b409-af651ef02790":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","x-default":"your-project-api-key","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"470eb457-2488-46f3-b1ff-318ef3afa78a":{"url":"https://backend.composio.dev","description":"Composio production API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","x-default":"your-project-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","description":"Your Composio project API key. Create or copy it from the Composio dashboard.","isRequired":true,"default":"your-project-api-key","typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-reference/openapi-v3.json"},"subdomain":"composio-preview","siteName":"Composio Docs","title":"List MCP servers for a specific app - Composio Docs","navMaps":{"firstHrefInVersion":{"v3.1":{"href":"/reference/api-reference/mcp/getmcpservers","matchLevel":2},"v3.0":{"href":"/reference/v3/api-reference/mcp/getmcpappbyappkey","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-06T23:37:58.635Z","originalFileLocation":"reference/v3/api-reference/mcp/getmcpappbyappkey.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Composio Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List MCP servers for a specific app - Composio Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Composio Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://composio-preview.mintlify.site/_mintlify/api/og/v2?division=MCP\u0026amp;title=List+MCP+servers+for+a+specific+app\u0026amp;description=Retrieves+a+paginated+list+of+Model+Control+Protocol+%28MCP%29+servers+that+are+configured+for+a+specific+application+or+toolkit.+This+endpoint+allows+you+to+find+a\u0026amp;theme=2a6064aea71db6aefd788ca2\u0026amp;signature=5879bcca3c6f1b3a376e3ab98ab2d3abe89e32226a34e607f26c57ebca69a70f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List MCP servers for a specific app - Composio Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://composio-preview.mintlify.site/_mintlify/api/og/v2?division=MCP\u0026amp;title=List+MCP+servers+for+a+specific+app\u0026amp;description=Retrieves+a+paginated+list+of+Model+Control+Protocol+%28MCP%29+servers+that+are+configured+for+a+specific+application+or+toolkit.+This+endpoint+allows+you+to+find+a\u0026amp;theme=2a6064aea71db6aefd788ca2\u0026amp;signature=5879bcca3c6f1b3a376e3ab98ab2d3abe89e32226a34e607f26c57ebca69a70f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/composio-preview/clZwxWuV-UjwHDpH/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Composio Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0007CD\">\u003clink data-mint-head rel=\"canonical\" href=\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/v3/api-reference/mcp/getmcpappbyappkey.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://composio-preview.mintlify.app/#organization\",\"name\":\"Composio Docs\",\"url\":\"https://composio-preview.mintlify.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/composio-preview/cL3pOAF8H-TYHF1S/Composio%20Logo.svg?fit=max\u0026auto=format\u0026n=cL3pOAF8H-TYHF1S\u0026q=85\u0026s=c959b1b97e22caccd03fe5d3d71ab52b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://composio-preview.mintlify.app#website\",\"name\":\"Composio Docs\",\"url\":\"https://composio-preview.mintlify.app\",\"publisher\":{\"@id\":\"https://composio-preview.mintlify.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey#webpage\",\"url\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey\",\"name\":\"List MCP servers for a specific app\",\"description\":\"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\",\"dateModified\":\"2026-11-06T23:37:58.635Z\",\"isPartOf\":{\"@id\":\"https://composio-preview.mintlify.app#website\"},\"breadcrumb\":{\"@id\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"MCP\",\"item\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpservers\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List MCP servers for a specific app\",\"item\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey#apireference\",\"headline\":\"List MCP servers for a specific app\",\"name\":\"List MCP servers for a specific app\",\"description\":\"Retrieves a paginated list of Model Control Protocol (MCP) servers that are configured for a specific application or toolkit. This endpoint allows you to find all MCP server instances that have access to a particular application, such as GitHub, Slack, or Jira.\",\"url\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey\",\"mainEntityOfPage\":{\"@id\":\"https://composio-preview.mintlify.app/reference/v3/api-reference/mcp/getmcpappbyappkey#webpage\"},\"dateModified\":\"2026-11-06T23:37:58.635Z\",\"publisher\":{\"@id\":\"https://composio-preview.mintlify.app/#organization\"},\"isPartOf\":{\"@id\":\"https://composio-preview.mintlify.app#website\"}}]}\u003c/script>","agentPointerHref":"/reference/v3/api-reference/mcp/getmcpappbyappkey.md","siteName":"Composio Docs","nav":{"global":null,"tabs":[{"tab":"Docs","products":[{"product":"Platform","description":"Build agents with the Composio SDK.","groups":[{"group":"Get started","pages":[{"group":"Agent setup","root":{"title":"Overview","href":"/docs/agent-setup"},"directory":"accordion","pages":[{"title":"Authenticate an unattended agent","sidebarTitle":"Unattended Agent Auth","href":"/docs/agent-setup/unattended-authentication"},{"title":"Clients","href":"/docs/agent-setup/clients"}]},{"title":"Quickstart","href":"/docs/quickstart"},{"group":"SDKs and frameworks","root":{"title":"SDKs and frameworks","href":"/docs/providers/index"},"directory":"accordion","pages":[{"title":"Anthropic","href":"/docs/providers/anthropic"},{"title":"OpenAI","href":"/docs/providers/openai"},{"title":"Vercel AI SDK","href":"/docs/providers/vercel"},{"title":"Pi","href":"/docs/providers/pi"},{"title":"Eve","href":"/docs/providers/eve"},{"title":"Google","href":"/docs/providers/google"},{"title":"TypeSafe","href":"/docs/providers/typesafe"},{"title":"LangChain","href":"/docs/providers/langchain"},{"title":"AutoGen","href":"/docs/providers/autogen"},{"title":"CrewAI","href":"/docs/providers/crewai"},{"title":"LlamaIndex","href":"/docs/providers/llamaindex"},{"title":"Mastra","href":"/docs/providers/mastra"},{"group":"Custom providers","root":{"title":"Custom Providers","href":"/docs/providers/custom-providers/index"},"directory":"accordion","pages":[{"title":"TypeScript Custom Provider","href":"/docs/providers/custom-providers/typescript"},{"title":"Python Custom Provider","href":"/docs/providers/custom-providers/python"}]}]}]},{"group":"Build","pages":[{"group":"Sessions","pages":[{"title":"What is a session?","sidebarTitle":"What is a Session?","href":"/docs/how-composio-works"},{"title":"Configuring Sessions","href":"/docs/configuring-sessions"},{"title":"Using saved session configs","href":"/docs/session-configs"},{"title":"Using sessions via MCP","href":"/docs/sessions-via-mcp"}]},{"group":"Toolkits \u0026 Tools","pages":[{"title":"Toolkits","href":"/docs/toolkits"},{"title":"Instant Tools","href":"/docs/instant-tools"}]},{"group":"Governance","pages":[{"title":"Tool hints","href":"/docs/governance/tool-hints"},{"title":"Approvals","href":"/docs/governance/approvals"},{"title":"Firewall","href":"/docs/firewall"}]},{"group":"Authentication","root":{"title":"Authentication","href":"/docs/authentication/index"},"directory":"accordion","pages":[{"title":"Managed authentication for your own tools","href":"/docs/authentication/managed-auth-for-custom-tools"},{"title":"Managing multiple connected accounts","sidebarTitle":"Multiple connected accounts","href":"/docs/authentication/managing-multiple-connected-accounts"},{"title":"Controlling scopes","href":"/docs/authentication/controlling-scopes"},{"title":"Manual auth management","href":"/docs/authentication/manually-authenticating"},{"title":"Programmatic auth configs","href":"/docs/authentication/programmatic-auth-configs"},{"title":"Importing existing connections","href":"/docs/authentication/importing-existing-connections"}]},{"title":"Skills","href":"/docs/skills"},{"group":"Triggers","pages":[{"title":"Triggers","href":"/docs/triggers"},{"group":"Set up triggers","pages":[{"title":"Creating triggers","href":"/docs/setting-up-triggers/creating-triggers"},{"title":"Receiving events","href":"/docs/setting-up-triggers/subscribing-to-events"},{"title":"Managing triggers","href":"/docs/setting-up-triggers/managing-triggers"},{"title":"Custom OAuth webhooks","href":"/docs/setting-up-triggers/custom-oauth-webhooks"},{"title":"Troubleshooting triggers","href":"/docs/setting-up-triggers/troubleshooting"}]}]}]},{"group":"Customize","pages":[{"group":"Extend sessions","expanded":false,"pages":[{"title":"Proxy execute","href":"/docs/extending-sessions/proxy-execute"},{"title":"Custom Tools and Toolkits","href":"/docs/extending-sessions/custom-tools-and-toolkits"},{"title":"Shared connections","href":"/docs/extending-sessions/shared-connections"},{"title":"Custom MCP","href":"/docs/extending-sessions/custom-mcp"}]},{"group":"Sandboxes","expanded":false,"pages":[{"title":"Remote sandbox","href":"/docs/sandbox/remote"},{"title":"Local sandbox","href":"/docs/sandbox/local"}]},{"group":"Guides \u0026 Examples","pages":[{"title":"Examples","sidebarTitle":"Overview","href":"/examples/index"},{"title":"Design a consumer agent with Composio","href":"/docs/consumer-agents"},{"title":"Design a B2B agent with Composio","href":"/docs/b2b-agents"}]}]},{"group":"Ship","pages":[{"title":"Move from prototype to production","href":"/docs/production-readiness"},{"title":"White-labeling authentication","href":"/docs/authentication/white-labeling-authentication"},{"group":"Production readiness","pages":[{"title":"Managed vs custom auth","href":"/docs/authentication/custom-app-vs-managed-app"},{"title":"Rate Limits","sidebarTitle":"Rate limits","href":"/reference/rate-limits"},{"title":"Stream logs to a SIEM","href":"/docs/poc-to-prod/stream-logs-to-a-siem"}]},{"group":"Security and data","expanded":false,"pages":[{"title":"Security","href":"/docs/security/overview"},{"title":"Token custody architecture","href":"/docs/security/token-custody"},{"title":"Data retention and handling","href":"/docs/security/data-retention"},{"title":"Zero Data Retention","href":"/docs/security/zero-data-retention"}]}]},{"group":"Reference and Migration","pages":[{"group":"Migration and legacy","expanded":false,"pages":[{"title":"Sessions vs Direct Execution","href":"/docs/sessions-vs-direct-execution"},{"group":"Migration guides","root":{"title":"Migration guides","href":"/docs/migration-guide/index"},"expanded":false,"directory":"accordion","pages":[{"title":"Migrate from No Auth to Instant","href":"/docs/migration-guide/no-auth-to-instant"},{"title":"Migrating from Direct Tools to Sessions","href":"/docs/migration-guide/direct-to-sessions"},{"title":"Migrating from MCP servers to Sessions","href":"/docs/migration-guide/mcp-servers-to-sessions"},{"title":"Migrating from Experimental Tool Router","href":"/docs/migration-guide/tool-router-beta"},{"title":"Toolkit versioning migration","href":"/docs/migration-guide/toolkit-versioning"},{"title":"Our next generation SDKs","href":"/docs/migration-guide/new-sdk"}]},{"group":"Direct execution","expanded":false,"pages":[{"title":"Fetching tools and schemas","href":"/docs/tools-direct/fetching-tools"},{"title":"Authenticating Tools","href":"/docs/tools-direct/authenticating-tools"},{"title":"Executing tools directly","href":"/docs/tools-direct/executing-tools"},{"group":"Modify tool behavior","pages":[{"title":"Schema Modifiers","href":"/docs/tools-direct/modify-tool-behavior/schema-modifiers"},{"title":"Before Execution Modifiers","href":"/docs/tools-direct/modify-tool-behavior/before-execution-modifiers"},{"title":"After Execution Modifiers","href":"/docs/tools-direct/modify-tool-behavior/after-execution-modifiers"}]},{"title":"Toolkit Versioning","href":"/docs/tools-direct/toolkit-versioning"}]},{"group":"Direct auth","expanded":false,"pages":[{"title":"Custom Auth Configs","href":"/docs/auth-configuration/custom-auth-configs"},{"title":"White-labeling (direct execution)","href":"/docs/auth-configuration/white-labeling"},{"title":"Custom Auth Parameters","href":"/docs/auth-configuration/custom-auth-params"},{"title":"Connected Accounts","href":"/docs/auth-configuration/connected-accounts"},{"title":"Migrating from initiate() to link()","href":"/docs/auth-configuration/migrating-initiate-to-link"}]}]}]},{"group":"Shared resources","pages":[{"title":"Build with the Composio skill","href":"/docs/using-composio-skill"}]}]},{"product":"For You","description":"Connect your apps to AI clients.","groups":[{"group":"Get started","pages":[{"title":"Agent plugins","href":"/docs/agent-plugins"},{"title":"Composio CLI","href":"/docs/cli"},{"title":"Composio Connect","sidebarTitle":"Connect with MCP","href":"/docs/composio-connect"}]}]}]},{"tab":"Knowledge Base","pages":[{"title":"Knowledge Base","href":"/kb"}]},{"tab":"Examples","pages":[{"title":"Examples","href":"/examples/sdk-examples"}]},{"tab":"Toolkits","pages":[{"title":"Toolkits","href":"/toolkits"}]},{"tab":"Reference","versions":[{"version":"v3.1","default":true,"tag":"Latest","pages":[{"title":"v3.1","href":"/reference/api-reference/mcp/getmcpservers"}]},{"version":"v3.0","pages":[{"group":"Overview","pages":[{"title":"Overview","href":"/reference/v3"},{"title":"Authentication","href":"/reference/v3/authentication"},{"title":"Rate Limits","href":"/reference/v3/rate-limits"},{"title":"Errors","href":"/reference/v3/errors"}]},{"group":"API Reference","expanded":true,"pages":[{"group":"Auth Configs","root":{"title":"Auth Configs","href":"/reference/v3/api-reference/auth-configs/index"},"directory":"accordion","pages":[{"title":"List authentication configurations with optional filters","openapi":"api-reference/openapi-v3.json GET /api/v3/auth_configs","href":"/reference/v3/api-reference/auth-configs/getAuthConfigs"},{"title":"Get single authentication configuration by ID","openapi":"api-reference/openapi-v3.json GET /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/getAuthConfigsByNanoid"},{"title":"Create new authentication configuration","openapi":"api-reference/openapi-v3.json POST /api/v3/auth_configs","href":"/reference/v3/api-reference/auth-configs/postAuthConfigs"},{"title":"Update an authentication configuration","openapi":"api-reference/openapi-v3.json PATCH /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/patchAuthConfigsByNanoid"},{"title":"Enable or disable an authentication configuration (DEPRECATED)","openapi":"api-reference/openapi-v3.json PATCH /api/v3/auth_configs/{nanoid}/{status}","deprecated":true,"href":"/reference/v3/api-reference/auth-configs/patchAuthConfigsByNanoidByStatus"},{"title":"Delete an authentication configuration","openapi":"api-reference/openapi-v3.json DELETE /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/deleteAuthConfigsByNanoid"}]},{"group":"Connected Accounts","root":{"title":"Connected Accounts","href":"/reference/v3/api-reference/connected-accounts/index"},"directory":"accordion","pages":[{"title":"List connected accounts with optional filters","openapi":"api-reference/openapi-v3.json GET /api/v3/connected_accounts","href":"/reference/v3/api-reference/connected-accounts/getConnectedAccounts"},{"title":"Get connected account details by ID","openapi":"api-reference/openapi-v3.json GET /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/getConnectedAccountsByNanoid"},{"title":"Create a new connected account","openapi":"api-reference/openapi-v3.json POST /api/v3/connected_accounts","href":"/reference/v3/api-reference/connected-accounts/postConnectedAccounts"},{"title":"Re-initiate authentication for a connected account (DEPRECATED)","openapi":"api-reference/openapi-v3.json POST /api/v3/connected_accounts/{nanoid}/refresh","deprecated":true,"href":"/reference/v3/api-reference/connected-accounts/postConnectedAccountsByNanoidRefresh"},{"title":"Create a new auth link session","openapi":"api-reference/openapi-v3.json POST /api/v3/connected_accounts/link","href":"/reference/v3/api-reference/connected-accounts/postConnectedAccountsLink"},{"title":"Enable or disable a connected account (DEPRECATED)","openapi":"api-reference/openapi-v3.json PATCH /api/v3/connected_accounts/{nanoId}/status","deprecated":true,"href":"/reference/v3/api-reference/connected-accounts/patchConnectedAccountsByNanoIdStatus"},{"title":"Update a connected account","openapi":"api-reference/openapi-v3.json PATCH /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/patchConnectedAccountsByNanoid"},{"title":"Delete a connected account","openapi":"api-reference/openapi-v3.json DELETE /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/deleteConnectedAccountsByNanoid"}]},{"group":"Files","root":{"title":"Files","href":"/reference/v3/api-reference/files/index"},"directory":"accordion","pages":[{"title":"List files with optional app and action filters (DEPRECATED)","openapi":"api-reference/openapi-v3.json GET /api/v3/files/list","deprecated":true,"href":"/reference/v3/api-reference/files/getFilesList"},{"title":"Create presigned URL for request file upload to S3","openapi":"api-reference/openapi-v3.json POST /api/v3/files/upload/request","href":"/reference/v3/api-reference/files/postFilesUploadRequest"}]},{"group":"MCP","root":{"title":"MCP","href":"/reference/v3/api-reference/mcp/index"},"directory":"accordion","pages":[{"title":"List MCP servers for a specific app","openapi":"api-reference/openapi-v3.json GET /api/v3/mcp/app/{appKey}","deprecated":true,"href":"/reference/v3/api-reference/mcp/getMcpAppByAppKey"},{"title":"Get MCP server details by ID","openapi":"api-reference/openapi-v3.json GET /api/v3/mcp/{id}","deprecated":true,"href":"/reference/v3/api-reference/mcp/getMcpById"},{"title":"List MCP servers with optional filters and pagination","openapi":"api-reference/openapi-v3.json GET /api/v3/mcp/servers","deprecated":true,"href":"/reference/v3/api-reference/mcp/getMcpServers"},{"title":"List all instances for an MCP server","openapi":"api-reference/openapi-v3.json GET /api/v3/mcp/servers/{serverId}/instances","deprecated":true,"href":"/reference/v3/api-reference/mcp/getMcpServersByServerIdInstances"},{"title":"Create a new MCP server","openapi":"api-reference/openapi-v3.json POST /api/v3/mcp/servers","deprecated":true,"href":"/reference/v3/api-reference/mcp/postMcpServers"},{"title":"Create a new MCP server instance","openapi":"api-reference/openapi-v3.json POST /api/v3/mcp/servers/{serverId}/instances","deprecated":true,"href":"/reference/v3/api-reference/mcp/postMcpServersByServerIdInstances"},{"title":"Create a new custom MCP server with multiple apps","openapi":"api-reference/openapi-v3.json POST /api/v3/mcp/servers/custom","deprecated":true,"href":"/reference/v3/api-reference/mcp/postMcpServersCustom"},{"title":"Generate MCP URL with custom parameters","openapi":"api-reference/openapi-v3.json POST /api/v3/mcp/servers/generate","deprecated":true,"href":"/reference/v3/api-reference/mcp/postMcpServersGenerate"},{"title":"Update MCP server configuration","openapi":"api-reference/openapi-v3.json PATCH /api/v3/mcp/{id}","deprecated":true,"href":"/reference/v3/api-reference/mcp/patchMcpById"},{"title":"Delete an MCP server","openapi":"api-reference/openapi-v3.json DELETE /api/v3/mcp/{id}","deprecated":true,"href":"/reference/v3/api-reference/mcp/deleteMcpById"},{"title":"Delete an MCP server instance and associated connected accounts","openapi":"api-reference/openapi-v3.json DELETE /api/v3/mcp/servers/{serverId}/instances/{instanceId}","deprecated":true,"href":"/reference/v3/api-reference/mcp/deleteMcpServersByServerIdInstancesByInstanceId"}]},{"group":"Organization Management","pages":[{"title":"List organizations","openapi":"api-reference/openapi-v3.json GET /api/v3/org/list","href":"/reference/v3/api-reference/organization-management/getOrgList"}]},{"group":"Projects","root":{"title":"Projects","href":"/reference/v3/api-reference/projects/index"},"directory":"accordion","pages":[{"title":"Get project details by ID With Org Api key","openapi":"api-reference/openapi-v3.json GET /api/v3/org/owner/project/{nano_id}","href":"/reference/v3/api-reference/projects/getOrgOwnerProjectByNanoId"},{"title":"List all projects","openapi":"api-reference/openapi-v3.json GET /api/v3/org/owner/project/list","href":"/reference/v3/api-reference/projects/getOrgOwnerProjectList"},{"title":"List all projects","openapi":"api-reference/openapi-v3.json GET /api/v3/org/project/list","href":"/reference/v3/api-reference/projects/getOrgProjectList"},{"title":"Delete and generate new API key for project","openapi":"api-reference/openapi-v3.json POST /api/v3/org/owner/project/{nano_id}/regenerate_api_key","href":"/reference/v3/api-reference/projects/postOrgOwnerProjectByNanoIdRegenerateApiKey"},{"title":"Create a new project","openapi":"api-reference/openapi-v3.json POST /api/v3/org/owner/project/new","href":"/reference/v3/api-reference/projects/postOrgOwnerProjectNew"},{"title":"Delete a project","openapi":"api-reference/openapi-v3.json DELETE /api/v3/org/owner/project/{nano_id}","href":"/reference/v3/api-reference/projects/deleteOrgOwnerProjectByNanoId"}]},{"group":"Sessions (prev Tool Router)","root":{"title":"Sessions (prev Tool Router)","href":"/reference/v3/api-reference/tool-router/index"},"directory":"accordion","pages":[{"title":"Get a tool router session by ID","openapi":"api-reference/openapi-v3.json GET /api/v3/tool_router/session/{session_id}","href":"/reference/v3/api-reference/tool-router/getToolRouterSessionBySessionId"},{"title":"List files in a session mount","openapi":"api-reference/openapi-v3.json GET /api/v3/tool_router/session/{session_id}/mounts/{mount_id}/items","href":"/reference/v3/api-reference/tool-router/getToolRouterSessionBySessionIdMountsByMountIdItems"},{"title":"Get toolkits for a tool router session","openapi":"api-reference/openapi-v3.json GET /api/v3/tool_router/session/{session_id}/toolkits","href":"/reference/v3/api-reference/tool-router/getToolRouterSessionBySessionIdToolkits"},{"title":"List tools with schemas for a tool router session","openapi":"api-reference/openapi-v3.json GET /api/v3/tool_router/session/{session_id}/tools","href":"/reference/v3/api-reference/tool-router/getToolRouterSessionBySessionIdTools"},{"title":"Create a new tool router session","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session","href":"/reference/v3/api-reference/tool-router/postToolRouterSession"},{"title":"Execute a tool within a tool router session","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/execute","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdExecute"},{"title":"Execute a meta tool within a tool router session","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/execute_meta","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdExecuteMeta"},{"title":"Create a link session for a toolkit in a tool router session","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/link","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdLink"},{"title":"Delete a file from a session mount","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/mounts/{mount_id}/delete","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdDelete"},{"title":"Create a presigned download URL for a mount file","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/mounts/{mount_id}/download_url","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdDownloadUrl"},{"title":"Create a presigned upload URL for a mount file","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/mounts/{mount_id}/upload_url","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdMountsByMountIdUploadUrl"},{"title":"Execute proxy request within a tool router session","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/proxy_execute","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdProxyExecute"},{"title":"Search for tools using a query","openapi":"api-reference/openapi-v3.json POST /api/v3/tool_router/session/{session_id}/search","href":"/reference/v3/api-reference/tool-router/postToolRouterSessionBySessionIdSearch"},{"title":"Patch a tool router session config","openapi":"api-reference/openapi-v3.json PATCH /api/v3/tool_router/session/{session_id}","href":"/reference/v3/api-reference/tool-router/patchToolRouterSessionBySessionId"}]},{"group":"Toolkits","root":{"title":"Toolkits","href":"/reference/v3/api-reference/toolkits/index"},"directory":"accordion","pages":[{"title":"List available toolkits","openapi":"api-reference/openapi-v3.json GET /api/v3/toolkits","href":"/reference/v3/api-reference/toolkits/getToolkits"},{"title":"Get toolkit by slug","openapi":"api-reference/openapi-v3.json GET /api/v3/toolkits/{slug}","href":"/reference/v3/api-reference/toolkits/getToolkitsBySlug"},{"title":"List toolkit categories","openapi":"api-reference/openapi-v3.json GET /api/v3/toolkits/categories","href":"/reference/v3/api-reference/toolkits/getToolkitsCategories"},{"title":"Get toolkits changelog","openapi":"api-reference/openapi-v3.json GET /api/v3/toolkits/changelog","href":"/reference/v3/api-reference/toolkits/getToolkitsChangelog"},{"title":"Sync a custom toolkit","openapi":"api-reference/openapi-v3.json POST /api/v3/custom/toolkits/sync","href":"/reference/v3/api-reference/toolkits/postCustomToolkitsSync"},{"title":"Upsert a custom toolkit","openapi":"api-reference/openapi-v3.json POST /api/v3/custom/toolkits/upsert","href":"/reference/v3/api-reference/toolkits/postCustomToolkitsUpsert"},{"title":"Fetch multiple toolkits","openapi":"api-reference/openapi-v3.json POST /api/v3/toolkits/multi","href":"/reference/v3/api-reference/toolkits/postToolkitsMulti"}]},{"group":"Tools","root":{"title":"Tools","href":"/reference/v3/api-reference/tools/index"},"directory":"accordion","pages":[{"title":"List available tools","openapi":"api-reference/openapi-v3.json GET /api/v3/tools","href":"/reference/v3/api-reference/tools/getTools"},{"title":"Get tool by slug","openapi":"api-reference/openapi-v3.json GET /api/v3/tools/{tool_slug}","href":"/reference/v3/api-reference/tools/getToolsByToolSlug"},{"title":"Get tool enum list","openapi":"api-reference/openapi-v3.json GET /api/v3/tools/enum","href":"/reference/v3/api-reference/tools/getToolsEnum"},{"title":"Execute tool","openapi":"api-reference/openapi-v3.json POST /api/v3/tools/execute/{tool_slug}","href":"/reference/v3/api-reference/tools/postToolsExecuteByToolSlug"},{"title":"Generate tool inputs from natural language (DEPRECATED)","openapi":"api-reference/openapi-v3.json POST /api/v3/tools/execute/{tool_slug}/input","deprecated":true,"href":"/reference/v3/api-reference/tools/postToolsExecuteByToolSlugInput"},{"title":"Execute proxy request","openapi":"api-reference/openapi-v3.json POST /api/v3/tools/execute/proxy","href":"/reference/v3/api-reference/tools/postToolsExecuteProxy"}]},{"group":"Triggers","root":{"title":"Triggers","href":"/reference/v3/api-reference/triggers/index"},"directory":"accordion","pages":[{"title":"List active triggers","openapi":"api-reference/openapi-v3.json GET /api/v3/trigger_instances/active","href":"/reference/v3/api-reference/triggers/getTriggerInstancesActive"},{"title":"List trigger types","openapi":"api-reference/openapi-v3.json GET /api/v3/triggers_types","href":"/reference/v3/api-reference/triggers/getTriggersTypes"},{"title":"Get trigger type by slug","openapi":"api-reference/openapi-v3.json GET /api/v3/triggers_types/{slug}","href":"/reference/v3/api-reference/triggers/getTriggersTypesBySlug"},{"title":"List trigger type enums","openapi":"api-reference/openapi-v3.json GET /api/v3/triggers_types/list/enum","href":"/reference/v3/api-reference/triggers/getTriggersTypesListEnum"},{"title":"Create or update a trigger","openapi":"api-reference/openapi-v3.json POST /api/v3/trigger_instances/{slug}/upsert","href":"/reference/v3/api-reference/triggers/postTriggerInstancesBySlugUpsert"},{"title":"Update a trigger","openapi":"api-reference/openapi-v3.json PATCH /api/v3/trigger_instances/manage/{triggerId}","href":"/reference/v3/api-reference/triggers/patchTriggerInstancesManageByTriggerId"},{"title":"Delete a trigger","openapi":"api-reference/openapi-v3.json DELETE /api/v3/trigger_instances/manage/{triggerId}","href":"/reference/v3/api-reference/triggers/deleteTriggerInstancesManageByTriggerId"}]},{"group":"Webhook Endpoints","root":{"title":"Webhook Endpoints","href":"/reference/v3/api-reference/webhook-endpoints/index"},"directory":"accordion","pages":[{"title":"List webhook endpoints","openapi":"api-reference/openapi-v3.json GET /api/v3/webhook_endpoints","href":"/reference/v3/api-reference/webhook-endpoints/getWebhookEndpoints"},{"title":"Get webhook endpoint","openapi":"api-reference/openapi-v3.json GET /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/getWebhookEndpointsByNanoId"},{"title":"Create webhook endpoint","openapi":"api-reference/openapi-v3.json POST /api/v3/webhook_endpoints","href":"/reference/v3/api-reference/webhook-endpoints/postWebhookEndpoints"},{"title":"Put webhook endpoint configuration","openapi":"api-reference/openapi-v3.json POST /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/postWebhookEndpointsByNanoId"},{"title":"Update webhook endpoint configuration","openapi":"api-reference/openapi-v3.json PATCH /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/patchWebhookEndpointsByNanoId"}]},{"group":"Webhook Subscriptions","root":{"title":"Webhook Subscriptions","href":"/reference/v3/api-reference/webhook-subscriptions/index"},"directory":"accordion","pages":[{"title":"List webhook subscriptions","openapi":"api-reference/openapi-v3.json GET /api/v3/webhook_subscriptions","href":"/reference/v3/api-reference/webhook-subscriptions/getWebhookSubscriptions"},{"title":"Get webhook subscription","openapi":"api-reference/openapi-v3.json GET /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/getWebhookSubscriptionsById"},{"title":"List available event types","openapi":"api-reference/openapi-v3.json GET /api/v3/webhook_subscriptions/event_types","href":"/reference/v3/api-reference/webhook-subscriptions/getWebhookSubscriptionsEventTypes"},{"title":"Create webhook subscription","openapi":"api-reference/openapi-v3.json POST /api/v3/webhook_subscriptions","href":"/reference/v3/api-reference/webhook-subscriptions/postWebhookSubscriptions"},{"title":"Rotate webhook secret","openapi":"api-reference/openapi-v3.json POST /api/v3/webhook_subscriptions/{id}/rotate_secret","href":"/reference/v3/api-reference/webhook-subscriptions/postWebhookSubscriptionsByIdRotateSecret"},{"title":"Update webhook subscription","openapi":"api-reference/openapi-v3.json PATCH /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/patchWebhookSubscriptionsById"},{"title":"Delete webhook subscription","openapi":"api-reference/openapi-v3.json DELETE /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/deleteWebhookSubscriptionsById"}]}]},{"group":"SDK Reference","expanded":true,"pages":[{"group":"TypeScript SDK","root":{"title":"TypeScript SDK Reference","href":"/reference/sdk-reference/typescript/index"},"directory":"accordion","pages":[{"title":"Composio","href":"/reference/sdk-reference/typescript/composio"},{"title":"AuthConfigs","href":"/reference/sdk-reference/typescript/auth-configs"},{"title":"ConnectedAccounts","href":"/reference/sdk-reference/typescript/connected-accounts"},{"title":"CustomToolkits","href":"/reference/sdk-reference/typescript/custom-toolkits"},{"title":"Keyring","href":"/reference/sdk-reference/typescript/keyring"},{"title":"Logs","href":"/reference/sdk-reference/typescript/logs"},{"title":"SessionConfigs","href":"/reference/sdk-reference/typescript/session-configs"},{"title":"Experimental","href":"/reference/sdk-reference/typescript/experimental"},{"title":"MCP","href":"/reference/sdk-reference/typescript/mcp"},{"title":"RemoteFile","href":"/reference/sdk-reference/typescript/remote-file"},{"title":"Sessions","href":"/reference/sdk-reference/typescript/sessions"},{"title":"Toolkits","href":"/reference/sdk-reference/typescript/toolkits"},{"title":"Session","href":"/reference/sdk-reference/typescript/session"},{"title":"Session files","href":"/reference/sdk-reference/typescript/session-files"},{"title":"Tools","href":"/reference/sdk-reference/typescript/tools"},{"title":"Triggers","href":"/reference/sdk-reference/typescript/triggers"},{"title":"Usage","href":"/reference/sdk-reference/typescript/usage"},{"title":"WebhookEndpoints","href":"/reference/sdk-reference/typescript/webhook-endpoints"},{"title":"Webhooks","href":"/reference/sdk-reference/typescript/webhooks"},{"title":"WebhookSubscriptions","href":"/reference/sdk-reference/typescript/webhook-subscriptions"}]},{"group":"Python SDK","root":{"title":"Python SDK Reference","href":"/reference/sdk-reference/python/index"},"directory":"accordion","pages":[{"title":"Composio","href":"/reference/sdk-reference/python/composio"},{"title":"Tools","href":"/reference/sdk-reference/python/tools"},{"title":"Toolkits","href":"/reference/sdk-reference/python/toolkits"},{"title":"Triggers","href":"/reference/sdk-reference/python/triggers"},{"title":"ConnectedAccounts","href":"/reference/sdk-reference/python/connected-accounts"},{"title":"AuthConfigs","href":"/reference/sdk-reference/python/auth-configs"},{"title":"MCP","href":"/reference/sdk-reference/python/mcp"},{"title":"Session","href":"/reference/sdk-reference/python/session"}]}]}],"groups":[{"group":"Authentication","pages":[]},{"group":"Auth Configs","pages":[{"title":"List authentication configurations with optional filters","deprecated":false,"version":null,"sidebarTitle":"Getauthconfigs","openapi":"/api-reference/openapi-v3.json get /api/v3/auth_configs","href":"/reference/v3/api-reference/auth-configs/getauthconfigs"},{"title":"Create new authentication configuration","deprecated":false,"version":null,"sidebarTitle":"Postauthconfigs","openapi":"/api-reference/openapi-v3.json post /api/v3/auth_configs","href":"/reference/v3/api-reference/auth-configs/postauthconfigs"},{"title":"Get single authentication configuration by ID","deprecated":false,"version":null,"sidebarTitle":"Getauthconfigsbynanoid","openapi":"/api-reference/openapi-v3.json get /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/getauthconfigsbynanoid"},{"title":"Delete an authentication configuration","deprecated":false,"version":null,"sidebarTitle":"Deleteauthconfigsbynanoid","openapi":"/api-reference/openapi-v3.json delete /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/deleteauthconfigsbynanoid"},{"title":"Update an authentication configuration","deprecated":false,"version":null,"sidebarTitle":"Patchauthconfigsbynanoid","openapi":"/api-reference/openapi-v3.json patch /api/v3/auth_configs/{nanoid}","href":"/reference/v3/api-reference/auth-configs/patchauthconfigsbynanoid"},{"title":"Enable or disable an authentication configuration (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Patchauthconfigsbynanoidbystatus","openapi":"/api-reference/openapi-v3.json patch /api/v3/auth_configs/{nanoid}/{status}","href":"/reference/v3/api-reference/auth-configs/patchauthconfigsbynanoidbystatus"}]},{"group":"Connected Accounts","pages":[{"title":"List connected accounts with optional filters","deprecated":false,"version":null,"sidebarTitle":"Getconnectedaccounts","openapi":"/api-reference/openapi-v3.json get /api/v3/connected_accounts","href":"/reference/v3/api-reference/connected-accounts/getconnectedaccounts"},{"title":"Create a new connected account","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccounts","openapi":"/api-reference/openapi-v3.json post /api/v3/connected_accounts","href":"/reference/v3/api-reference/connected-accounts/postconnectedaccounts"},{"title":"Get connected account details by ID","deprecated":false,"version":null,"sidebarTitle":"Getconnectedaccountsbynanoid","openapi":"/api-reference/openapi-v3.json get /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/getconnectedaccountsbynanoid"},{"title":"Delete a connected account","deprecated":false,"version":null,"sidebarTitle":"Deleteconnectedaccountsbynanoid","openapi":"/api-reference/openapi-v3.json delete /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/deleteconnectedaccountsbynanoid"},{"title":"Update a connected account","deprecated":false,"version":null,"sidebarTitle":"Patchconnectedaccountsbynanoid","openapi":"/api-reference/openapi-v3.json patch /api/v3/connected_accounts/{nanoid}","href":"/reference/v3/api-reference/connected-accounts/patchconnectedaccountsbynanoid"},{"title":"Enable or disable a connected account (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Patchconnectedaccountsbynanoidstatus","openapi":"/api-reference/openapi-v3.json patch /api/v3/connected_accounts/{nanoId}/status","href":"/reference/v3/api-reference/connected-accounts/patchconnectedaccountsbynanoidstatus"},{"title":"Re-initiate authentication for a connected account (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Postconnectedaccountsbynanoidrefresh","openapi":"/api-reference/openapi-v3.json post /api/v3/connected_accounts/{nanoid}/refresh","href":"/reference/v3/api-reference/connected-accounts/postconnectedaccountsbynanoidrefresh"},{"title":"Create a new auth link session","deprecated":false,"version":null,"sidebarTitle":"Postconnectedaccountslink","openapi":"/api-reference/openapi-v3.json post /api/v3/connected_accounts/link","href":"/reference/v3/api-reference/connected-accounts/postconnectedaccountslink"}]},{"group":"Organization Management","pages":[{"title":"List organizations","deprecated":false,"version":null,"sidebarTitle":"Getorglist","openapi":"/api-reference/openapi-v3.json get /api/v3/org/list","href":"/reference/v3/api-reference/organization-management/getorglist"}]},{"group":"Projects","pages":[{"title":"List all projects","deprecated":false,"version":null,"sidebarTitle":"Getorgprojectlist","openapi":"/api-reference/openapi-v3.json get /api/v3/org/project/list","href":"/reference/v3/api-reference/projects/getorgprojectlist"},{"title":"Create a new project","deprecated":false,"version":null,"sidebarTitle":"Postorgownerprojectnew","openapi":"/api-reference/openapi-v3.json post /api/v3/org/owner/project/new","href":"/reference/v3/api-reference/projects/postorgownerprojectnew"},{"title":"List all projects","deprecated":false,"version":null,"sidebarTitle":"Getorgownerprojectlist","openapi":"/api-reference/openapi-v3.json get /api/v3/org/owner/project/list","href":"/reference/v3/api-reference/projects/getorgownerprojectlist"},{"title":"Get project details by ID With Org Api key","deprecated":false,"version":null,"sidebarTitle":"Getorgownerprojectbynanoid","openapi":"/api-reference/openapi-v3.json get /api/v3/org/owner/project/{nano_id}","href":"/reference/v3/api-reference/projects/getorgownerprojectbynanoid"},{"title":"Delete a project","deprecated":false,"version":null,"sidebarTitle":"Deleteorgownerprojectbynanoid","openapi":"/api-reference/openapi-v3.json delete /api/v3/org/owner/project/{nano_id}","href":"/reference/v3/api-reference/projects/deleteorgownerprojectbynanoid"},{"title":"Delete and generate new API key for project","deprecated":false,"version":null,"sidebarTitle":"Postorgownerprojectbynanoidregenerateapikey","openapi":"/api-reference/openapi-v3.json post /api/v3/org/owner/project/{nano_id}/regenerate_api_key","href":"/reference/v3/api-reference/projects/postorgownerprojectbynanoidregenerateapikey"}]},{"group":"Webhook Subscriptions","pages":[{"title":"List webhook subscriptions","deprecated":false,"version":null,"sidebarTitle":"Getwebhooksubscriptions","openapi":"/api-reference/openapi-v3.json get /api/v3/webhook_subscriptions","href":"/reference/v3/api-reference/webhook-subscriptions/getwebhooksubscriptions"},{"title":"Create webhook subscription","deprecated":false,"version":null,"sidebarTitle":"Postwebhooksubscriptions","openapi":"/api-reference/openapi-v3.json post /api/v3/webhook_subscriptions","href":"/reference/v3/api-reference/webhook-subscriptions/postwebhooksubscriptions"},{"title":"Get webhook subscription","deprecated":false,"version":null,"sidebarTitle":"Getwebhooksubscriptionsbyid","openapi":"/api-reference/openapi-v3.json get /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/getwebhooksubscriptionsbyid"},{"title":"Delete webhook subscription","deprecated":false,"version":null,"sidebarTitle":"Deletewebhooksubscriptionsbyid","openapi":"/api-reference/openapi-v3.json delete /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/deletewebhooksubscriptionsbyid"},{"title":"Update webhook subscription","deprecated":false,"version":null,"sidebarTitle":"Patchwebhooksubscriptionsbyid","openapi":"/api-reference/openapi-v3.json patch /api/v3/webhook_subscriptions/{id}","href":"/reference/v3/api-reference/webhook-subscriptions/patchwebhooksubscriptionsbyid"},{"title":"Rotate webhook secret","deprecated":false,"version":null,"sidebarTitle":"Postwebhooksubscriptionsbyidrotatesecret","openapi":"/api-reference/openapi-v3.json post /api/v3/webhook_subscriptions/{id}/rotate_secret","href":"/reference/v3/api-reference/webhook-subscriptions/postwebhooksubscriptionsbyidrotatesecret"},{"title":"List available event types","deprecated":false,"version":null,"sidebarTitle":"Getwebhooksubscriptionseventtypes","openapi":"/api-reference/openapi-v3.json get /api/v3/webhook_subscriptions/event_types","href":"/reference/v3/api-reference/webhook-subscriptions/getwebhooksubscriptionseventtypes"}]},{"group":"Webhook Endpoints","pages":[{"title":"List webhook endpoints","deprecated":false,"version":null,"sidebarTitle":"Getwebhookendpoints","openapi":"/api-reference/openapi-v3.json get /api/v3/webhook_endpoints","href":"/reference/v3/api-reference/webhook-endpoints/getwebhookendpoints"},{"title":"Create webhook endpoint","deprecated":false,"version":null,"sidebarTitle":"Postwebhookendpoints","openapi":"/api-reference/openapi-v3.json post /api/v3/webhook_endpoints","href":"/reference/v3/api-reference/webhook-endpoints/postwebhookendpoints"},{"title":"Get webhook endpoint","deprecated":false,"version":null,"sidebarTitle":"Getwebhookendpointsbynanoid","openapi":"/api-reference/openapi-v3.json get /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/getwebhookendpointsbynanoid"},{"title":"Put webhook endpoint configuration","deprecated":false,"version":null,"sidebarTitle":"Postwebhookendpointsbynanoid","openapi":"/api-reference/openapi-v3.json post /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/postwebhookendpointsbynanoid"},{"title":"Update webhook endpoint configuration","deprecated":false,"version":null,"sidebarTitle":"Patchwebhookendpointsbynanoid","openapi":"/api-reference/openapi-v3.json patch /api/v3/webhook_endpoints/{nano_id}","href":"/reference/v3/api-reference/webhook-endpoints/patchwebhookendpointsbynanoid"}]},{"group":"Toolkits","pages":[{"title":"List available toolkits","deprecated":false,"version":null,"sidebarTitle":"Gettoolkits","openapi":"/api-reference/openapi-v3.json get /api/v3/toolkits","href":"/reference/v3/api-reference/toolkits/gettoolkits"},{"title":"List toolkit categories","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitscategories","openapi":"/api-reference/openapi-v3.json get /api/v3/toolkits/categories","href":"/reference/v3/api-reference/toolkits/gettoolkitscategories"},{"title":"Upsert a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Postcustomtoolkitsupsert","openapi":"/api-reference/openapi-v3.json post /api/v3/custom/toolkits/upsert","href":"/reference/v3/api-reference/toolkits/postcustomtoolkitsupsert"},{"title":"Sync a custom toolkit","deprecated":false,"version":null,"sidebarTitle":"Postcustomtoolkitssync","openapi":"/api-reference/openapi-v3.json post /api/v3/custom/toolkits/sync","href":"/reference/v3/api-reference/toolkits/postcustomtoolkitssync"},{"title":"Get toolkit by slug","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitsbyslug","openapi":"/api-reference/openapi-v3.json get /api/v3/toolkits/{slug}","href":"/reference/v3/api-reference/toolkits/gettoolkitsbyslug"},{"title":"Fetch multiple toolkits","deprecated":false,"version":null,"sidebarTitle":"Posttoolkitsmulti","openapi":"/api-reference/openapi-v3.json post /api/v3/toolkits/multi","href":"/reference/v3/api-reference/toolkits/posttoolkitsmulti"},{"title":"Get toolkits changelog","deprecated":false,"version":null,"sidebarTitle":"Gettoolkitschangelog","openapi":"/api-reference/openapi-v3.json get /api/v3/toolkits/changelog","href":"/reference/v3/api-reference/toolkits/gettoolkitschangelog"}]},{"group":"Tools","pages":[{"title":"List available tools","deprecated":false,"version":null,"sidebarTitle":"Gettools","openapi":"/api-reference/openapi-v3.json get /api/v3/tools","href":"/reference/v3/api-reference/tools/gettools"},{"title":"Get tool enum list","deprecated":false,"version":null,"sidebarTitle":"Gettoolsenum","openapi":"/api-reference/openapi-v3.json get /api/v3/tools/enum","href":"/reference/v3/api-reference/tools/gettoolsenum"},{"title":"Get tool by slug","deprecated":false,"version":null,"sidebarTitle":"Gettoolsbytoolslug","openapi":"/api-reference/openapi-v3.json get /api/v3/tools/{tool_slug}","href":"/reference/v3/api-reference/tools/gettoolsbytoolslug"},{"title":"Execute tool","deprecated":false,"version":null,"sidebarTitle":"Posttoolsexecutebytoolslug","openapi":"/api-reference/openapi-v3.json post /api/v3/tools/execute/{tool_slug}","href":"/reference/v3/api-reference/tools/posttoolsexecutebytoolslug"},{"title":"Generate tool inputs from natural language (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Posttoolsexecutebytoolsluginput","openapi":"/api-reference/openapi-v3.json post /api/v3/tools/execute/{tool_slug}/input","href":"/reference/v3/api-reference/tools/posttoolsexecutebytoolsluginput"},{"title":"Execute proxy request","deprecated":false,"version":null,"sidebarTitle":"Posttoolsexecuteproxy","openapi":"/api-reference/openapi-v3.json post /api/v3/tools/execute/proxy","href":"/reference/v3/api-reference/tools/posttoolsexecuteproxy"}]},{"group":"Triggers","pages":[{"title":"Create or update a trigger","deprecated":false,"version":null,"sidebarTitle":"Posttriggerinstancesbyslugupsert","openapi":"/api-reference/openapi-v3.json post /api/v3/trigger_instances/{slug}/upsert","href":"/reference/v3/api-reference/triggers/posttriggerinstancesbyslugupsert"},{"title":"List active triggers","deprecated":false,"version":null,"sidebarTitle":"Gettriggerinstancesactive","openapi":"/api-reference/openapi-v3.json get /api/v3/trigger_instances/active","href":"/reference/v3/api-reference/triggers/gettriggerinstancesactive"},{"title":"Delete a trigger","deprecated":false,"version":null,"sidebarTitle":"Deletetriggerinstancesmanagebytriggerid","openapi":"/api-reference/openapi-v3.json delete /api/v3/trigger_instances/manage/{triggerId}","href":"/reference/v3/api-reference/triggers/deletetriggerinstancesmanagebytriggerid"},{"title":"Update a trigger","deprecated":false,"version":null,"sidebarTitle":"Patchtriggerinstancesmanagebytriggerid","openapi":"/api-reference/openapi-v3.json patch /api/v3/trigger_instances/manage/{triggerId}","href":"/reference/v3/api-reference/triggers/patchtriggerinstancesmanagebytriggerid"},{"title":"List trigger type enums","deprecated":false,"version":null,"sidebarTitle":"Gettriggerstypeslistenum","openapi":"/api-reference/openapi-v3.json get /api/v3/triggers_types/list/enum","href":"/reference/v3/api-reference/triggers/gettriggerstypeslistenum"},{"title":"Get trigger type by slug","deprecated":false,"version":null,"sidebarTitle":"Gettriggerstypesbyslug","openapi":"/api-reference/openapi-v3.json get /api/v3/triggers_types/{slug}","href":"/reference/v3/api-reference/triggers/gettriggerstypesbyslug"},{"title":"List trigger types","deprecated":false,"version":null,"sidebarTitle":"Gettriggerstypes","openapi":"/api-reference/openapi-v3.json get /api/v3/triggers_types","href":"/reference/v3/api-reference/triggers/gettriggerstypes"}]},{"group":"MCP","pages":[{"title":"List MCP servers with optional filters and pagination","deprecated":true,"version":null,"sidebarTitle":"Getmcpservers","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/servers","href":"/reference/v3/api-reference/mcp/getmcpservers"},{"title":"Create a new MCP server","deprecated":true,"version":null,"sidebarTitle":"Postmcpservers","openapi":"/api-reference/openapi-v3.json post /api/v3/mcp/servers","href":"/reference/v3/api-reference/mcp/postmcpservers"},{"title":"Create a new custom MCP server with multiple apps","deprecated":true,"version":null,"sidebarTitle":"Postmcpserverscustom","openapi":"/api-reference/openapi-v3.json post /api/v3/mcp/servers/custom","href":"/reference/v3/api-reference/mcp/postmcpserverscustom"},{"title":"Generate MCP URL with custom parameters","deprecated":true,"version":null,"sidebarTitle":"Postmcpserversgenerate","openapi":"/api-reference/openapi-v3.json post /api/v3/mcp/servers/generate","href":"/reference/v3/api-reference/mcp/postmcpserversgenerate"},{"title":"Get MCP server details by ID","deprecated":true,"version":null,"sidebarTitle":"Getmcpbyid","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/{id}","href":"/reference/v3/api-reference/mcp/getmcpbyid"},{"title":"Delete an MCP server","deprecated":true,"version":null,"sidebarTitle":"Deletemcpbyid","openapi":"/api-reference/openapi-v3.json delete /api/v3/mcp/{id}","href":"/reference/v3/api-reference/mcp/deletemcpbyid"},{"title":"Update MCP server configuration","description":"Updates the configuration of an existing Model Control Protocol (MCP) server. You can modify the server name, associated applications, and enabled tools. Only the fields included in the request will be updated.","deprecated":true,"version":null,"sidebarTitle":"Patchmcpbyid","openapi":"/api-reference/openapi-v3.json patch /api/v3/mcp/{id}","href":"/reference/v3/api-reference/mcp/patchmcpbyid"},{"title":"List MCP servers for a specific app","deprecated":true,"version":null,"sidebarTitle":"Getmcpappbyappkey","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/app/{appKey}","href":"/reference/v3/api-reference/mcp/getmcpappbyappkey"},{"title":"List all instances for an MCP server","description":"Retrieves a paginated list of user instances (user IDs) associated with a specific Model Control Protocol (MCP) server. This endpoint supports pagination to handle servers with many instances.","deprecated":true,"version":null,"sidebarTitle":"Getmcpserversbyserveridinstances","openapi":"/api-reference/openapi-v3.json get /api/v3/mcp/servers/{serverId}/instances","href":"/reference/v3/api-reference/mcp/getmcpserversbyserveridinstances"},{"title":"Create a new MCP server instance","deprecated":true,"version":null,"sidebarTitle":"Postmcpserversbyserveridinstances","openapi":"/api-reference/openapi-v3.json post /api/v3/mcp/servers/{serverId}/instances","href":"/reference/v3/api-reference/mcp/postmcpserversbyserveridinstances"},{"title":"Delete an MCP server instance and associated connected accounts","deprecated":true,"version":null,"sidebarTitle":"Deletemcpserversbyserveridinstancesbyinstanceid","openapi":"/api-reference/openapi-v3.json delete /api/v3/mcp/servers/{serverId}/instances/{instanceId}","href":"/reference/v3/api-reference/mcp/deletemcpserversbyserveridinstancesbyinstanceid"}]},{"group":"Files","pages":[{"title":"List files with optional app and action filters (DEPRECATED)","deprecated":true,"version":null,"sidebarTitle":"Getfileslist","openapi":"/api-reference/openapi-v3.json get /api/v3/files/list","href":"/reference/v3/api-reference/files/getfileslist"},{"title":"Create presigned URL for request file upload to S3","deprecated":false,"version":null,"sidebarTitle":"Postfilesuploadrequest","openapi":"/api-reference/openapi-v3.json post /api/v3/files/upload/request","href":"/reference/v3/api-reference/files/postfilesuploadrequest"}]},{"group":"Sessions (Prev Tool Router)","pages":[{"title":"Create a new tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersession","openapi":"/api-reference/openapi-v3.json post /api/v3/tool_router/session","href":"/reference/v3/api-reference/tool-router/posttoolroutersession"},{"title":"Execute a tool within a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidexecute","openapi":"/api-reference/openapi-v3.json post /api/v3/tool_router/session/{session_id}/execute","href":"/reference/v3/api-reference/tool-router/posttoolroutersessionbysessionidexecute"},{"title":"Execute a meta tool within a tool router session","deprecated":false,"version":null,"sidebarTitle":"Posttoolroutersessionbysessionidexecutemeta","openapi":"/api-reference/op
[...]
